uniform sampler2D TextureSampler;

varying mediump	vec3 color;
varying mediump	vec2 texcoord;

void main() {
	mediump vec2 t = vec2(texcoord.x, 1.0 - texcoord.t);
	gl_FragColor = vec4(texture2D(TextureSampler, t)) * vec4(color, 1.0);
}
