/*
 * Defines a Group node.
 * Inherits from Transformable.
 */

#ifndef __RC_GROUP_H__
#define __RC_GROUP_H__

class Group : public Transformable {
	friend class SceneGraph;

/*----------------------------------------------------------[ Functions ]----*/

	protected:
		Group(
				const char		*nname
			) : Transformable(nname, NODE_GROUP) { }

		Group(
				const char		*nname,
				const char		*filename,
				bool		reload_resources,
				u32			purge_level
			);

		~Group();

	private:

		Node *duplicateSelf();

/*------------------------------------------------------------[ Members ]----*/

};


#endif /* __RC_GROUP_H__ */

