/* Color interpolation material */

#ifndef __RC_MATERIALCOLORFUL_H__
#define __RC_MATERIALCOLORFUL_H__

class MaterialColorful : public Material {
	friend class SceneGraph;
	friend class Material;

/*----------------------------------------------------------[ Functions ]----*/

	private:
		MaterialColorful(
				const char			*nidentifier,

				u32					purge_level
			);

		virtual ~MaterialColorful();

	public:

		Resource *clone(
				const char			*clone_name,

				u32					purge_level
			);

	protected:
		void prepareMaterial(
				FrameInfo_t			*di,
				Geometry			*geometry
			);

/*------------------------------------------------------------[ Members ]----*/

	private:

};


#endif /* __RC_MATERIALCOLORFUL_H__ */

