#ifndef __RC_TYPES_H__
#define __RC_TYPES_H__

/* Standard type definitions */

typedef GLfloat				f32;
typedef	double				f64;
typedef GLbyte				i8;
typedef GLubyte				u8;
typedef GLshort				i16;
typedef GLushort			u16;
typedef GLint				i32;
typedef GLuint				u32;

#ifdef WIN32
	typedef signed __int64		i64;
	typedef unsigned __int64	u64;
#else if defined MAC
	typedef signed long long	i64;
	typedef unsigned long long	u64;
#endif /* WIN32/MAC */

#endif /* __RC_TYPES_H__ */

