attribute vec3 Vertex;
attribute vec3 Texcoord;

uniform mat4 WorldViewProjection;

uniform sampler2D DiffuseSampler;

	// To fragment shader

varying mediump	vec2 texcoord;

void main() {

	texcoord = vec2(Texcoord.x, Texcoord.y);
	gl_Position = WorldViewProjection * vec4(Vertex.xyz, 1.0);

}

